﻿# オートバージョンダウンツール

## バージョン
1.0.0  

## 概要
本ツールは、選択したicd図面を下位バージョンで保存するツールです。  
- インストールされているiCAD SXバージョンの下位4つまで  
- 下位４つより下のバージョンを指定した場合は、インストールされているiCAD SXバージョンで保存されます

## 導入前の注意事項
- 導入前に必ず、**iCADインストールフォルダごとバックアップ**を作成してください。
- 本ツールはiCADのSDKを利用して作成されています。あらかじめiCAD SX の.NET連携機能を有効にしてください。
  - .NET連携機能有効化の手順
  1. スタートメニュー → iCAD SX 環境設定ツール → .NET連携セットアップ を起動する。
  2. ポート番号を「3999」（初期設定値のまま）にし、「.NET連携を有効にする」のチェックをONにする。
- 本ツールはあらかじめテストをしてから配布をしておりますが、万が一損害が生じた場合の一切の責任を負いかねますので、ご了承ください。

## テスト実施済環境
### iCAD SXのバージョン
V8L3
### OS
Windows 11

## インストール
1. ダウンロードファイルを解凍する
2. ATversiondownt.exeを**iCADインストールフォルダ\USER\BIN**へコピー

## コマンドメニュー・アイコンメニューへの登録
- 任意でコマンドメニューもしくはアイコンメニューへ登録してください。

## 使用方法
1. iCADが開かれている場合、終了させます。
2. ツール起動
	#### ATversiondown.exeの実行
	下記各方法により実行
	- 登録したメニュー（コマンドメニュー、アイコンメニュー）　　
	- iCAD_キー入力領域からのexe実行[;EXEC /%ICADDIR%\USER\BIN\ATversiondown.exe/ @GO]　
	- iCAD_アプリ実行
	- exeの直接起動  
	
3. **変換バージョン**へ変換したいバージョンを記入。	
※下位４つまで  
4. **保存先フォルダ**を選択する。
※上書き保存不可  
5. **リスト**へicd図面をドラッグ&ドロップ
6. 変換ボタンを押す

## 著作権/利用条件/免責等について
* 本プログラムに関する著作権等の知的財産権はものづくりのススメ-しれっとプロジェクトに帰属します
* 本プログラムは一切の保証なく、現状で提供されるものであり、正常動作等について作者は保証を行いません
* 本プログラムに関して発生するいかなる問題も利用者の責任により解決されるものとします
* 本プログラムに関して発生するいかなる損害に対しても作者は責任を負いません

上記に同意される場合のみ、本プログラムをご利用ください

## 連絡先
本プログラムに関する不具合、ご要望等は[「ものづくりのススメ」お問い合わせフォーム](https://forms.gle/99xG3r8NDN7NX5QH9)よりご連絡ください。

---
Copyright (c) 2024 ものづくりのススメ-しれっとプロジェクト all aights reserved. 